This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 128625 - info files missing in RPM
info files missing in RPM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: flex (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Machata
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-27 08:05 EDT by Jonathan S. Shapiro
Modified: 2015-05-04 21:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-24 12:39:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan S. Shapiro 2004-07-27 08:05:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The flex RPM file apparently is not installing the flex-related info
files. This makes flex appallingly hard to use, even for experienced
users.

Version-Release number of selected component (if applicable):
flex-2.5.4a-31.1

How reproducible:
Always

Steps to Reproduce:
See rpm -q -l flex, reproduce simply by installing the package.
    

Actual Results:  Info files not in the package, therefore not installed.

Expected Results:  Info files installed.

Additional info:
Comment 1 Warren Togami 2004-08-24 07:53:32 EDT
I am guessing this was never fixed because doing this may introduce a
dependency loop, especially if flex is part of bootstrapping.  This
would require theoretical changes to rpm with "levels" of
BuildRequires.  I suppose we could add a default-off condtional for
adding the info files in the .spec, but this is not a high priority to
me.  If someone submits a working spec patch we may include it.
Comment 2 Jonathan S. Shapiro 2004-08-24 10:34:14 EDT
But earlier versions of the flex RPM did not have this problem, and to
the best of my knowledge the texinfo package does not depend in any
way on the flex package.

If there *is* a dependency loop, then resolve it by creating a
separate flex-info package. Failing to ship the existing docs is NOT
an okay solution.

I remain puzzled, however, at your hypothesis, because there has
definitely been a regression in this package -- it USED to contain the
info files!
Comment 3 Jonathan S. Shapiro 2004-11-14 00:06:23 EST
Given that FC2 is now in maintenance mode, I suspect this bug should
be closed.
Comment 4 Matthew Miller 2005-04-26 11:17:36 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 Jonathan S. Shapiro 2006-01-15 10:44:37 EST
Definitely still a problem in FC4!
Comment 6 Petr Machata 2006-08-14 08:37:50 EDT
Retargeting to FC5.
Comment 7 Jonathan S. Shapiro 2006-08-14 09:46:01 EDT
I have confirmed that it is still a problem in FC5.
Comment 8 IBM Bug Proxy 2006-09-01 11:11:00 EDT
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
              Owner|gjlynx@us.ibm.com           |nevdull@us.ibm.com
          QAContact|thinh@us.ibm.com            |nevdull@us.ibm.com




------- Additional Comments From chavez@us.ibm.com (prefers email at lnx1138@us.ibm.com)  2006-09-01 11:06 EDT -------
Is this still on issue on RHEL 4 U4? 
Comment 9 IBM Bug Proxy 2006-12-14 13:16:19 EST
----- Additional Comments From krisw@us.ibm.com  2006-12-14 13:11 EDT -------
On my RHEL5 system it is provided by acl-2.2.39-1.1 
Comment 10 IBM Bug Proxy 2006-12-14 17:21:13 EST
----- Additional Comments From dmosby@us.ibm.com (prefers email at k7fw@us.ibm.com)  2006-12-14 17:19 EDT -------
For RHEL4 (and RHEL4 U1, U2, U3, and U4) this is "acl-2.2.23-5.src.rpm".
For RHEL5 RC Snapshot 3 (released 14-Dec-06) this is "acl-2.2.39-1.1.src.rpm".

The patch shown has not been applied to the RHEL4 rpm.

The RHEL5 code has changed quite a bit, including addition of
a "resolve_symlinks" function in the getfacl.c file.

I suspect this may have been resolved in RHEL 5, but no changes have been
made for any of the RHEL 4 releases up through U4. 
Comment 11 Petr Machata 2006-12-15 07:19:21 EST
To IBM: you sure we are talking about the same thing?  I don't see why should
acl provide info pages for flex.  Besides nobody mentioned RHEL-4, this is filed
agains the fedora.
Comment 12 IBM Bug Proxy 2007-01-22 13:05:49 EST
----- Additional Comments From klausk@br.ibm.com  2007-01-22 13:00 EDT -------
This seems fixed for RHEL5 (as of beta2 snaphot 5 refresh)
(running with x86_64 on opteron machines)
[root@alex test]# mkdir d
[root@alex test]# touch d/y
[root@alex test]# ln -s d l
[root@alex test]# getfacl -dR . | grep file | sort
# file: .
# file: d
# file: d/y
[root@alex test]# uname -a
Linux alex.ltc.br.ibm.com 2.6.18-1.2987.4.1.el5.lspp.62 #1 SMP Tue Jan 9
14:13:49 EST 2007 x86_64 x86_64 x86_64 GNU/Linux
[root@alex test]# 
Comment 13 IBM Bug Proxy 2007-01-22 19:06:27 EST
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|REOPENED                    |FIXEDAWAITINGTEST
         Resolution|                            |FIX_BY_IBM




------- Additional Comments From krisw@us.ibm.com  2007-01-22 19:02 EDT -------
Yes, I think if we should re-encounter this in the future we can open a new 
bug.  I'll close this one. 
Comment 14 Petr Machata 2007-01-24 12:39:35 EST
Raw hide flex installs info files.

Note You need to log in before you can comment on or make changes to this bug.